<template>
    <div :style="{ width: width, height: calculatedHeight }">
        <svg :class="fillClass + (!strokeColor ? ' stroke-default': null)"
             :stroke="strokeColor ? strokeColor : null"
             height="100%"
             stroke-width="1"
             viewBox="0 0 90 100"
             width="100%"
             xmlns="http://www.w3.org/2000/svg">
            <polygon points="0,0 90,0 65,100, 25,100"></polygon>
        </svg>
    </div>
</template>

<script>
export default {
    name: 'steam-coagulator-component',
    props: {
        width: {
            type: [Number, String],
        },
        height: {
            type: [Number, String],
        },
        status: {
            type: String,
            default: 'on'
        },
        fontSize: {
            type: String,
            default: '30'
        },
        strokeColor: {
            type: String
        }
    },
    computed: {
        fillClass: function () {
            if (this.status === 'on') {
                return 'fill-on'
            }

            if (this.status === 'trip') {
                return 'fill-trip'
            }

            return 'fill-off'
        },
        calculatedHeight: function () {
            return this.width;
        }
    }
}
</script>

